Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model.reporting
Class DomainModelReferenceResolutionFailedReport

    java.lang.Object
      org.eclipse.emfforms.spi.common.report.AbstractReport
          org.eclipse.emf.ecp.view.spi.model.reporting.DomainModelReferenceResolutionFailedReport

    public class DomainModelReferenceResolutionFailedReport

extends AbstractReport

Indicates that a `VDomainModelReference` could not be resolved.

Since:
  1.5
Author:
  emueller

Constructor Summary
`DomainModelReferenceResolutionFailedReport(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject element)` Constructor.
`DomainModelReferenceResolutionFailedReport(VDomainModelReference domainModelReference, VControl control)` Constructor.

Method Summary

Methods inherited from class org.eclipse.emfforms.spi.common.report.AbstractReport
`getException, getMessage, getSeverity, hasException`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainModelReferenceResolutionFailedReport

    public DomainModelReferenceResolutionFailedReport(VDomainModelReference domainModelReference,
                                                      org.eclipse.emf.ecore.EObject element)

  Constructor.

  Parameters:
    `domainModelReference` - the domain model reference that could not be resolved
    `element` - the element that should be resolved

### DomainModelReferenceResolutionFailedReport

    public DomainModelReferenceResolutionFailedReport(VDomainModelReference domainModelReference,
                                                      VControl control)

  Constructor.

  Parameters:
    `domainModelReference` - the domain model reference that could not be resolved
    `control` - the control holding the domain model reference

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.